Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.resolver
Class IvyRepResolver

    java.lang.Object
      fr.jayasoft.ivy.resolver.AbstractResolver
          fr.jayasoft.ivy.resolver.BasicResolver
              fr.jayasoft.ivy.resolver.AbstractResourceResolver
                  fr.jayasoft.ivy.resolver.RepositoryResolver
                      fr.jayasoft.ivy.resolver.URLResolver
                          fr.jayasoft.ivy.resolver.IvyRepResolver

All Implemented Interfaces:
  DependencyResolver, HasLatestStrategy, IvyAware

public class IvyRepResolver
extends URLResolver

IvyRepResolver is a resolver which can be used to resolve dependencies found in the ivy official repository for ivy files and ibiblio maven repository for the artifacts, or similar repositories. For more flexibility with url and patterns, see `URLResolver`.

Field Summary
`static java.lang.String` | `DEFAULT_IVYPATTERN`
`static java.lang.String` | `DEFAULT_IVYROOT`

Fields inherited from class fr.jayasoft.ivy.resolver.BasicResolver
`_workspaceName, DATE_FORMAT`

Constructor Summary
`IvyRepResolver()`

Method Summary
`DownloadReport` | `download(Artifact[] artifacts, Ivy ivy, java.io.File cache)`
`boolean` | `exists(Artifact artifact)` Default implementation actually download the artifact Subclasses should overwrite this to avoid the download
`protected ResolvedResource` | `findArtifactRef(Artifact artifact, java.util.Date date)`
`java.util.List` | `getArtifactPatterns()`
`java.lang.String` | `getArtpattern()`
`java.lang.String` | `getArtroot()`
`ResolvedModuleRevision` | `getDependency(DependencyDescriptor dd, ResolveData data)` Resolve a module by id, getting its module descriptor and resolving the revision if it's a latest one (i.e. a revision uniquely identifying the revision of a module in the current environment - If this revision is not able to identify uniquelely the revision of the module outside of the current environment, then the resolved revision must begin by ##)
`java.lang.String` | `getIvypattern()`
`java.util.List` | `getIvyPatterns()`
`java.lang.String` | `getIvyroot()`
`java.lang.String` | `getTypeName()`
`ModuleEntry[]` | `listModules(OrganisationEntry org)`
`OrganisationEntry[]` | `listOrganisations()`
`RevisionEntry[]` | `listRevisions(ModuleEntry mod)`
`void` | `publish(Artifact artifact, java.io.File src)`
`void` | `setArtpattern(java.lang.String pattern)`
`void` | `setArtroot(java.lang.String root)`
`void` | `setIvypattern(java.lang.String pattern)`
`void` | `setIvyroot(java.lang.String root)` Sets the root of the maven like repository.
`void` | `setM2compatible(boolean m2compatible)`

Methods inherited from class fr.jayasoft.ivy.resolver.RepositoryResolver
`dumpConfig, findAll, findResourceUsingPattern, findResourceUsingPattern, findResourceUsingPattern, findTokenValues, get, getRepository, isAlwaysCheckExactRevision, publish, setAlwaysCheckExactRevision, setIvy, setName, setRepository`

Methods inherited from class fr.jayasoft.ivy.resolver.AbstractResourceResolver
`addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, findArtifactNames, findIvyFileRef, findIvyNames, findNames, findResourceUsingPatterns, isM2compatible, logArtifactNotFound, logIvyNotFound, setArtifactPatterns, setIvyPatterns`

Methods inherited from class fr.jayasoft.ivy.resolver.BasicResolver
`acceptLatest, clearArtifactAttempts, clearIvyAttempts, findFirstArtifactRef, getPublicationDate, getWorkspaceName, isCheckconsistency, isCheckmodified, isEnvDependent, logArtifactAttempt, logIvyAttempt, reportFailure, reportFailure, searchedRmr, setCheckconsistency, setCheckmodified, setEnvDependent, setWorkspaceName, toString`

Methods inherited from class fr.jayasoft.ivy.resolver.AbstractResolver
`doValidate, findModuleInCache, fromSystem, fromSystem, getIvy, getLatest, getLatestStrategy, getName, getNamespace, getSystemNode, isValidate, setLatest, setLatestStrategy, setNamespace, setValidate, toSystem, toSystem, toSystem, toSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_IVYPATTERN

    public static final java.lang.String DEFAULT_IVYPATTERN

See Also:
  Constant Field Values

### DEFAULT_IVYROOT

    public static final java.lang.String DEFAULT_IVYROOT

See Also:
  Constant Field Values

Constructor Detail

### IvyRepResolver

    public IvyRepResolver()

Method Detail

### getIvypattern

    public java.lang.String getIvypattern()

### setIvypattern

    public void setIvypattern(java.lang.String pattern)

### getIvyroot

    public java.lang.String getIvyroot()

### setIvyroot

    public void setIvyroot(java.lang.String root)

  Sets the root of the maven like repository. The maven like repository is necessarily an http repository.

  Parameters:
    `root` - the root of the maven like repository
  Throws:
    `java.lang.IllegalArgumentException` - if root does not start with "http://"

### setM2compatible

    public void setM2compatible(boolean m2compatible)

  Overrides:
    `setM2compatible` in class `AbstractResourceResolver`

### publish

    public void publish(Artifact artifact,
                        java.io.File src)

### getArtroot

    public java.lang.String getArtroot()

### getArtpattern

    public java.lang.String getArtpattern()

### setArtpattern

    public void setArtpattern(java.lang.String pattern)

### setArtroot

    public void setArtroot(java.lang.String root)

### listOrganisations

    public OrganisationEntry[] listOrganisations()

  Specified by:
    `listOrganisations` in interface `DependencyResolver`
  Overrides:
    `listOrganisations` in class `BasicResolver`

### listModules

    public ModuleEntry[] listModules(OrganisationEntry org)

  Specified by:
    `listModules` in interface `DependencyResolver`
  Overrides:
    `listModules` in class `BasicResolver`

### listRevisions

    public RevisionEntry[] listRevisions(ModuleEntry mod)

  Specified by:
    `listRevisions` in interface `DependencyResolver`
  Overrides:
    `listRevisions` in class `BasicResolver`

### getTypeName

    public java.lang.String getTypeName()

  Overrides:
    `getTypeName` in class `URLResolver`

### getDependency

    public ResolvedModuleRevision getDependency(DependencyDescriptor dd,
                                                ResolveData data)
                                         throws java.text.ParseException

  Description copied from interface: `DependencyResolver`
  Resolve a module by id, getting its module descriptor and resolving the revision if it's a latest one (i.e. a revision uniquely identifying the revision of a module in the current environment - If this revision is not able to identify uniquelely the revision of the module outside of the current environment, then the resolved revision must begin by ##)

  Specified by:
    `getDependency` in interface `DependencyResolver`
  Overrides:
    `getDependency` in class `BasicResolver`
  Throws:
    `java.text.ParseException`

### findArtifactRef

    protected ResolvedResource findArtifactRef(Artifact artifact,
                                               java.util.Date date)

  Overrides:
    `findArtifactRef` in class `AbstractResourceResolver`

### download

    public DownloadReport download(Artifact[] artifacts,
                                   Ivy ivy,
                                   java.io.File cache)

  Specified by:
    `download` in interface `DependencyResolver`
  Overrides:
    `download` in class `RepositoryResolver`

### exists

    public boolean exists(Artifact artifact)

  Description copied from class: `AbstractResolver`
  Default implementation actually download the artifact Subclasses should overwrite this to avoid the download

  Specified by:
    `exists` in interface `DependencyResolver`
  Overrides:
    `exists` in class `BasicResolver`

### getIvyPatterns

    public java.util.List getIvyPatterns()

  Overrides:
    `getIvyPatterns` in class `AbstractResourceResolver`

### getArtifactPatterns

    public java.util.List getArtifactPatterns()

  Overrides:
    `getArtifactPatterns` in class `AbstractResourceResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD